Debian Bug report logs - #451937
RFP: pastebin -- collaborative debugging tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Anon Sricharoenchai" <anon.hui@gmail.com>

Date: Mon, 19 Nov 2007 11:54:05 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#451937; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Anon Sricharoenchai" <anon.hui@gmail.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Anon Sricharoenchai" <anon.hui@gmail.com>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>, anon.hui@gmail.com
Subject: RFP: pastebin -- collaborative debugging tool
Date: Mon, 19 Nov 2007 18:48:01 +0700
Package: wnpp
Severity: wishlist

* Package name    : pastebin
  Version         : 0.60
  Upstream Author : Paul Dixon <paul@elphin.com>
* URL             : http://pastebin.com/pastebin.tar.gz
* License         : Affero GPL
  Description     : collaborative debugging tool

pastebin is to help collaborate on debugging code snippets.  Most people
use it like this:

    * submit a code fragment to pastebin, getting a url like
      http://pastebin.com/1234
    * paste the url into an IRC or IM conversation
    * someone responds by reading and perhaps submitting a modification
      of your code
    * you then view the modification, maybe using the built in diff tool
      to help locate the changes

This program is licensed under Affero GPL, which is compatible with GPL v3.

-- System Information:
Debian Release: testing/unstable
Architecture: i386 (i686)
Kernel: Linux 2.6.10-5-386
Locale: LANG=C, LC_CTYPE=thai




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#451937; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to patrick.matthaei@web.de:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 451937@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <patrick.matthaei@web.de>
To: 451937@bugs.debian.org
Subject: Work
Date: Fri, 30 Nov 2007 01:33:00 +0100
Hello,

I will work on this package.
Please be patient. :)

-- 
Mit freundlichem Gruß / With kind regards,
Patrick Matthäi

E-Mail: patrick.matthaei@web.de
Homepage: http://www.Linux-Dev.org/






Owner recorded as patrick.matthaei@web.de. Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Fri, 30 Nov 2007 00:39:07 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: pastebin -- collaborative debugging tool' from `RFP: pastebin -- collaborative debugging tool'. Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Fri, 30 Nov 2007 00:39:07 GMT) Full text and rfc822 format available.

Changed Bug title to `RFP: pastebin -- collaborative debugging tool' from `ITP: pastebin -- collaborative debugging tool'. Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Sun, 02 Dec 2007 21:06:18 GMT) Full text and rfc822 format available.

Owner changed from patrick.matthaei@web.de to wnpp@debian.org. Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Sun, 02 Dec 2007 21:06:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, wnpp@debian.org:
Bug#451937; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to patrick.matthaei@web.de:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, wnpp@debian.org. Full text and rfc822 format available.

Message #23 received at 451937@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <patrick.matthaei@web.de>
To: 451937@bugs.debian.org
Subject: Re:
Date: Sun, 02 Dec 2007 21:51:03 +0100
Hello,

I'm sorry, I decided to not package pastebin because of two reasons:

1) There isn't any release management.
2) It's unclear, if a AGPL software could ship the main pool.

I'm sorry for it.

-- 
Mit freundlichem Gruß / With kind regards,
Patrick Matthäi

E-Mail: patrick.matthaei@web.de
Homepage: http://www.Linux-Dev.org/






Removed annotation that Bug was owned by wnpp@debian.org. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 08 Dec 2007 11:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#451937; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Anon Sricharoenchai" <anon.hui@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 451937@bugs.debian.org (full text, mbox):

From: "Anon Sricharoenchai" <anon.hui@gmail.com>
To: 451937@bugs.debian.org
Cc: anon.hui@gmail.com
Subject: RFP: pastebin -- collaborative debugging tool
Date: Wed, 7 May 2008 16:54:50 +0700
See, http://www.affero.org/oagf.html for AGPL faq.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#451937; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Anon Sricharoenchai" <anon.hui@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 451937@bugs.debian.org (full text, mbox):

From: "Anon Sricharoenchai" <anon.hui@gmail.com>
To: 451937@bugs.debian.org
Cc: anon.hui@gmail.com
Subject: Re: RFP: pastebin -- collaborative debugging tool
Date: Wed, 7 May 2008 17:22:09 +0700
>
> This program is licensed under Affero GPL, which is compatible with GPL v3.
>

I'm wrong.


Tough, http://www.affero.org/oagpl.html said,

``You may also choose to redistribute modified versions of this
program under any version of the Free Software Foundation's GNU
General Public License version 3 or higher, so long as that version of
the GNU GPL includes terms and conditions substantially equivalent to
those of this license.''

But GPL v3 doesn't include substantial condition equivalent to AGPL v1.

http://www.gnu.org/licenses/license-list.html also said,
``The Affero General Public License is a free software license,
copyleft, and incompatible with the GNU GPL.''

However, pastebin-0.60/public_html/pastebin.php:
> * This program is free software; you can redistribute it and/or
> * modify it under the terms of the Affero General Public License
> * Version 1 or any later version.

Allow upgrade to AGPL >= 1.

According to http://www.affero.org/agpl2.html, AGPL v2 can be upgraded
to GNU AGPL v3

Upgrade path,
   AGPL v1 or later --> AGPL v2 --> GNU AGPL v3

This program is then compatible with GNU AGPL v3.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#451937; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Anon Sricharoenchai" <anon.hui@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #40 received at 451937@bugs.debian.org (full text, mbox):

From: "Anon Sricharoenchai" <anon.hui@gmail.com>
To: 451937@bugs.debian.org
Cc: anon.hui@gmail.com
Subject: Re: RFP: pastebin -- collaborative debugging tool
Date: Wed, 7 May 2008 17:44:06 +0700
>
>  However, pastebin-0.60/public_html/pastebin.php:
>  > * This program is free software; you can redistribute it and/or
>  > * modify it under the terms of the Affero General Public License
>  > * Version 1 or any later version.
>
>  Allow upgrade to AGPL >= 1.
>
>  According to http://www.affero.org/agpl2.html, AGPL v2 can be upgraded
>  to GNU AGPL v3
>
>  Upgrade path,
>    AGPL v1 or later --> AGPL v2 --> GNU AGPL v3
>
>  This program is then compatible with GNU AGPL v3.
>

http://www.opensource.org/licenses/alphabetical
http://www.opensource.org/licenses/agpl-v3.html

1. OSI approve GNU AGPL v3 as opensource license.
2. opensource definition is very alike to DFSG, then GNU AGPL v3 will
comply to DFSG?




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#451937; Package wnpp. (Thu, 12 Mar 2009 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 12 Mar 2009 12:18:02 GMT) Full text and rfc822 format available.

Message #45 received at 451937@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: 451937@bugs.debian.org, 451937-submitter@bugs.debian.org
Cc: Patrick Matthäi <patrick.matthaei@web.de>
Subject: pastebin package upload heading to NEW today
Date: Thu, 12 Mar 2009 13:14:32 +0100
[Message part 1 (text/plain, inline)]
hi everyone,

we had some internal desire for this where i work, so we spent some time
putting together an initial version of this package.  i'll be uploading this
version shortly.

regarding the licensing issues:

- according to members of the ftp-master team, the AGPL is okay[1]
- there are other AGPL works in main[2]
- however, the AGPLv3 is OSI approved and generally speaking GPLv3 compatible,
  and the code is "AGPLv1 or later", so in the interest of hopefully removing
  any doubt or complexity we chose to upgrade the licensing in this package
  to AGPLv3 (this is mentioned in debian/copyright).

	sean

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506402#10
[2] okay, i'll admit that this is based on hearsay (don't know an easy
    way to check locally)... but i've heard it said :)

-- 

[signature.asc (application/pgp-signature, inline)]

Message sent on to "Anon Sricharoenchai" <anon.hui@gmail.com>:
Bug#451937. (Thu, 12 Mar 2009 12:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#451937; Package wnpp. (Thu, 12 Mar 2009 12:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to patrick@linux-dev.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 12 Mar 2009 12:24:02 GMT) Full text and rfc822 format available.

Message #53 received at 451937@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <patrick@linux-dev.org>
To: sean finney <seanius@debian.org>
Cc: 451937@bugs.debian.org, 451937-submitter@bugs.debian.org
Subject: Re: pastebin package upload heading to NEW today
Date: Thu, 12 Mar 2009 13:19:29 +0100
sean finney schrieb:
> hi everyone,
> 
> we had some internal desire for this where i work, so we spent some time
> putting together an initial version of this package.  i'll be uploading this
> version shortly.
> 
> regarding the licensing issues:
> 
> - according to members of the ftp-master team, the AGPL is okay[1]
> - there are other AGPL works in main[2]
> - however, the AGPLv3 is OSI approved and generally speaking GPLv3 compatible,
>   and the code is "AGPLv1 or later", so in the interest of hopefully removing
>   any doubt or complexity we chose to upgrade the licensing in this package
>   to AGPLv3 (this is mentioned in debian/copyright).

Yeah but as far as I remember the situation was another in the past.
Also does it still lack a release management?

I am not interested anymore in it at all, because I wrote my own 
nopaste-bin with terminal support etc based on Perl 
(sf.net/projects/pnopaste) and I am on packaging it also for Debian.

Cheers and much fun.




Message sent on to "Anon Sricharoenchai" <anon.hui@gmail.com>:
Bug#451937. (Thu, 12 Mar 2009 12:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#451937; Package wnpp. (Thu, 12 Mar 2009 16:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 12 Mar 2009 16:09:10 GMT) Full text and rfc822 format available.

Message #61 received at 451937@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Patrick Matthäi <patrick@linux-dev.org>
Cc: 451937@bugs.debian.org, 451937-submitter@bugs.debian.org
Subject: Re: pastebin package upload heading to NEW today
Date: Thu, 12 Mar 2009 16:55:29 +0100
[Message part 1 (text/plain, inline)]
hi patrick,

On Thu, Mar 12, 2009 at 01:19:29PM +0100, Patrick Matthäi wrote:
> Also does it still lack a release management?

well it has a "version" anyway, whatever that might mean.  i'm not too
familiar with upstream to know how releasing new versions is handled,
but we have at least one bugfix to send upstream so i guess we'll find
out!

> I am not interested anymore in it at all, because I wrote my own  
> nopaste-bin with terminal support etc based on Perl  
> (sf.net/projects/pnopaste) and I am on packaging it also for Debian.

ah, okay.  just thought i'd give the courtesy of a cc anyway since you
had posted to the BR in the past.  i see no problems with the concept
of two pastebin implementations either :)


	sean
[signature.asc (application/pgp-signature, inline)]

Message sent on to "Anon Sricharoenchai" <anon.hui@gmail.com>:
Bug#451937. (Thu, 12 Mar 2009 16:09:30 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Mar 2009 23:09:36 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: pastebin -- collaborative debugging tool' from `RFP: pastebin -- collaborative debugging tool'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 13 Mar 2009 03:18:26 GMT) Full text and rfc822 format available.

Owner recorded as jesper häkkinen <jhn@stickybit.se>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 13 Mar 2009 03:18:26 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 02 May 2009 03:38:11 GMT) Full text and rfc822 format available.

Information stored :
Bug#451937; Package wnpp. (Fri, 03 Jul 2009 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anon Sricharoenchai <anon.hui@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 03 Jul 2009 12:03:05 GMT) Full text and rfc822 format available.

Message #77 received at 451937-quiet@bugs.debian.org (full text, mbox):

From: Anon Sricharoenchai <anon.hui@gmail.com>
To: sean finney <seanius@debian.org>, 451937-quiet@bugs.debian.org
Subject: Re: Bug#451937: pastebin package upload heading to NEW today
Date: Fri, 3 Jul 2009 18:55:04 +0700
Hi,

On 3/12/09, sean finney <seanius@debian.org> wrote:
> hi everyone,
>
>  we had some internal desire for this where i work, so we spent some time
>  putting together an initial version of this package.  i'll be uploading this
>  version shortly.
>
>  regarding the licensing issues:
>
>  - according to members of the ftp-master team, the AGPL is okay[1]
>  - there are other AGPL works in main[2]
>  - however, the AGPLv3 is OSI approved and generally speaking GPLv3 compatible,
>   and the code is "AGPLv1 or later", so in the interest of hopefully removing
>   any doubt or complexity we chose to upgrade the licensing in this package
>   to AGPLv3 (this is mentioned in debian/copyright).
>

To just mention "AGPLv1 or later" in debian/copyright is also ok,
since it has the same meaning as "AGPLv1 or AGPLv2 (or later) or GNU
AGPLv3 or later".
However to be more clear, we can explicitly mention "AGPLv1 (or later)
or GNU AGPLv3 or later" in debian/copyright.

Note that, we should distinguish between "AGPL" and "_GNU_ AGPL", as
they are the different entities.

>         sean
>
>  [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506402#10
>  [2] okay, i'll admit that this is based on hearsay (don't know an easy
>     way to check locally)... but i've heard it said :)
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jesper häkkinen <jhn@stickybit.se>:
Bug#451937; Package wnpp. (Sun, 27 Dec 2009 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Ebersbach <jceb@e-jc.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jesper häkkinen <jhn@stickybit.se>. (Sun, 27 Dec 2009 11:06:03 GMT) Full text and rfc822 format available.

Message #82 received at 451937@bugs.debian.org (full text, mbox):

From: Jan Christoph Ebersbach <jceb@e-jc.de>
To: 451937@bugs.debian.org
Subject: pastebin package ready, sponsor needed
Date: Sat, 26 Dec 2009 21:24:27 +0100
[Message part 1 (text/plain, inline)]
Hi,

I created a debian package of this pastbin. Now I'd like to upload it
and need a sponsor. Anyone interested?

Jan Christoph
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jesper häkkinen <jhn@stickybit.se>:
Bug#451937; Package wnpp. (Sat, 19 Feb 2011 18:11:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jesper häkkinen <jhn@stickybit.se>. (Sat, 19 Feb 2011 18:11:47 GMT) Full text and rfc822 format available.

Message #87 received at 451937@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 451937@bugs.debian.org
Cc: control@bugs.debian.org
Subject: pastebin: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:01:35 +0000
retitle 451937 RFP: pastebin -- collaborative debugging tool
noowner 451937
thanks

Hi,

This is an automatic email to change the status of pastebin back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting pastebin, please send a mail to
<control@bugs.debian.org> with:

 retitle 451937 ITP: pastebin -- collaborative debugging tool
 owner 451937 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <451937@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: pastebin -- collaborative debugging tool' from 'ITP: pastebin -- collaborative debugging tool' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:27:17 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by jesper häkkinen <jhn@stickybit.se>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:27:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:45:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.